wxWidgets: wxServer Class Reference

| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxServer Class Reference
Interprocess Communication

`#include <wx/ipc.h>`

## Detailed Description

A wxServer object represents the server part of a client-server DDE-like (Dynamic Data Exchange) conversation.

The actual DDE-based implementation using wxDDEServer is available on Windows only, but a platform-independent, socket-based version of this API is available using wxTCPServer, which has the same API.

To create a server which can communicate with a suitable client, you need to derive a class from wxConnection and another from wxServer. The custom wxConnection class will intercept communications in a 'conversation' with a client, and the custom wxServer is required so that a user-overridden wxServer::OnAcceptConnection member can return a wxConnection of the required class, when a connection is made. Look at the IPC sample and the Interprocess Communication for an example of how to do this.

##

Library: wxBase
Category: Interprocess Communication

See Also
  wxClient, wxConnection, IPC, Interprocess Communication

## Public Member Functions
| wxServer ()
| Constructs a server object.
bool | Create (const wxString &service)
| Registers the server using the given service name.
virtual wxConnectionBase * | OnAcceptConnection (const wxString &topic)
| When a client calls MakeConnection, the server receives the message and this member is called.

## Constructor & Destructor Documentation

wxServer::wxServer | ( |  | ) |

Constructs a server object.

## Member Function Documentation

bool wxServer::Create | ( | const wxString & | service | ) |

Registers the server using the given service name.

Under Unix, the service name may be either an integer port identifier in which case an Internet domain socket will be used for the communications, or a valid file name (which shouldn't exist and will be deleted afterwards) in which case a Unix domain socket is created.

false is returned if the call failed (for example, the port number is already in use).

virtual wxConnectionBase* wxServer::OnAcceptConnection | ( | const wxString & | topic | ) |
| virtual

When a client calls MakeConnection, the server receives the message and this member is called.

The application should derive a member to intercept this message and return a connection object of either the standard wxConnection type, or (more likely) of a user-derived type.

If the topic is STDIO, the application may wish to refuse the connection. Under UNIX, when a server is created the OnAcceptConnection() message is always sent for standard input and output, but in the context of DDE messages it doesn't make a lot of sense.